> For the complete documentation index, see [llms.txt](https://doc.data123.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.data123.io/reference/api-reference/ethereum/json-rpc-methods.md).

# JSON-RPC Methods

You can review the official Ethereum RPC documentation [**HERE**](https://ethereum.org/en/developers/docs/apis/json-rpc/)

**Available Ethereum API request methods**

```
          eth_accounts
          eth_blockNumber
          eth_call
          eth_chainId
          eth_freeHistory
          eth_getBalance
          eth_getBlockByHash
          eth_getBlockByNumber
          eth_getBlockTransactionCountByHash
          eth_getBlocTransactionCountByNumber
          eth_getCode
          eth_getFilterChanges
          eth_getFilterLogs
          eth_getLogs
          eth_getStorageAt
          eth_getTransactionByHash
          eth_getTransactionByCount
          eth_getTransactionHashByCid
          eth_getTransactionReceipt
          eth_maxPriorityFeePerGas
          eth_newBlockFilter
          eth_newPendingTransactionFilter
          eth_sendRawTransaction
          eth_uninstallFilter
          eth_requestAccounts
          eth_sendTransaction
          eth_sign
          eth_gasPrice
          eth_estimateGas
          net_version
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.data123.io/reference/api-reference/ethereum/json-rpc-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
